HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get Lookup Stats

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve summary statistics for a lookup-backed property key.

Use this endpoint to inspect the date range, count, duration, and average value of lookup records for a property key with dataType=LOOKUP.

Resource URI

GET /rest/public/properties/{propertyKey}/stats

Path parameters

ParameterTypeDescription
propertyKeyStringProperty key name for the lookup-backed property. Required.

Returned statistics

The response can include statistics such as:

FieldDescription
minFromDateTimeEarliest lookup value start time.
maxToDateTimeLatest lookup value end time.
lookupCountNumber of lookup records.
meanValueAverage lookup value.
totalDurationTotal duration represented by lookup values.
meanDurationAverage duration represented by lookup values.
missingDurationDuration not covered by lookup values, when applicable.
lastUpdatedDateLast update time for the lookup data.

For lookup data model details and response examples, see Lookups.

Example

GET /rest/public/properties/hourlyPricingRealTimeERCOT/stats

A successful response returns a standard response payload with type set to PropertyKey and results containing lookup statistics for the property key.

Path Params
string
required
Defaults to hourlyPricingRealTimeERCOT

Property key name.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json